From 386c8645ec54cacd44ecedd45e092172962a4fd5 Mon Sep 17 00:00:00 2001
From: Zhao Zhili <quinkblack@foxmail.com>
Date: Sat, 19 May 2018 01:03:15 +0800
Subject: [PATCH] demux: adaptive: fix no audio track is selected

For streams with several audio tracks, if the selected audio track is
not the first one, no audio track is selected after seek. This problem
show up after 5066a19.
---
 modules/demux/adaptive/plumbing/FakeESOut.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/demux/adaptive/plumbing/FakeESOut.cpp b/modules/demux/adaptive/plumbing/FakeESOut.cpp
index 017e857ed8..ffd1d91de7 100644
--- a/modules/demux/adaptive/plumbing/FakeESOut.cpp
+++ b/modules/demux/adaptive/plumbing/FakeESOut.cpp
@@ -138,8 +138,8 @@ void FakeESOut::createOrRecycleRealEsID( FakeESOutID *es_id )
             /* We need to enforce same selection when not reused
                Otherwise the es will select any other compatible track
                and will end this in a activate/select loop when reactivating a track */
-            es_out_Control( real_es_out, ES_OUT_GET_ES_STATE, cand->realESID(), &b_select );
-            break;
+            if( !b_select )
+                es_out_Control( real_es_out, ES_OUT_GET_ES_STATE, cand->realESID(), &b_select );
         }
     }
 
-- 
2.14.3 (Apple Git-98)

